Skip to main content
PATCH
/
v0
/
subscriptions
/
{subscriptionIdOrNumber}
/
pauseCollection
Pause Subscription Collection
curl --request PATCH \
  --url https://api.fungies.io/v0/subscriptions/{subscriptionIdOrNumber}/pauseCollection \
  --header 'Content-Type: application/json' \
  --header 'x-fngs-public-key: <api-key>' \
  --header 'x-fngs-secret-key: <api-key>' \
  --data '
{
  "invoicingBehavior": "void",
  "resumeAt": 4503599627370495
}
'
import requests

url = "https://api.fungies.io/v0/subscriptions/{subscriptionIdOrNumber}/pauseCollection"

payload = {
    "invoicingBehavior": "void",
    "resumeAt": 4503599627370495
}
headers = {
    "x-fngs-public-key": "<api-key>",
    "x-fngs-secret-key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {
    'x-fngs-public-key': '<api-key>',
    'x-fngs-secret-key': '<api-key>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({invoicingBehavior: 'void', resumeAt: 4503599627370495})
};

fetch('https://api.fungies.io/v0/subscriptions/{subscriptionIdOrNumber}/pauseCollection', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "status": "<string>",
  "data": {
    "success": true
  }
}
{
  "status": "error",
  "error": {
    "message": "Sample error message"
  }
}

Authorizations

x-fngs-public-key
string
header
required
x-fngs-secret-key
string
header
required

Path Parameters

subscriptionIdOrNumber
string
required

Subscription ID or order number

Pattern: ^#?([0-9A-Za-z]{12,32}|[0-9]+)(-[0-9]+)?$

Body

application/json

PATCH /v0/subscriptions/:subscriptionIdOrNumber/pauseCollection Request body

invoicingBehavior
enum<string>
default:void

How to handle pending invoices during pause: - void: Void any pending invoices (default) - keep_as_draft: Keep pending invoices as drafts - mark_uncollectible: Mark pending invoices as uncollectible

Available options:
void,
keep_as_draft,
mark_uncollectible
resumeAt
integer<int64> | null

Optional timestamp to automatically resume the Subscription (Unix timestamp in seconds)

Required range: 0 <= x <= 9007199254740991

Response

PATCH /v0/subscriptions/:subscriptionIdOrNumber/pauseCollection Positive response

status
string
required
Allowed value: "success"
data
object
required